Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
PUTSNS OperationsSince 2.3SynchronousAuth Required
UpdateSNSApplicationEndpoint
UpdateSNSApplicationEndpoint
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updatesnsapplicationendpointObjectRequiredupdatesnsapplicationendpoint request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/sns/application-endpoints/{uuid}/actions
/zstack/v1/sns/application-endpoints/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/sns/application-endpoints/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatesnsapplicationendpoint":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "example", "uuid": "917fe66f76b241f0843dfbd6be685fc1", "description": "description example", "type": "Email", "state": "Enabled", "platformUuid": "4eb0ceebf95b452585ebeacd647d9f35", "createDate": "Dec 25, 2023 2:06:16 PM", "lastOpDate": "Dec 25, 2023 2:06:16 PM" } }Change History
This API has no change history records yet.
